{% extends 'base.html.twig' %}

{% block title %} Création d'une annonce {% endblock %}

{% form_theme form _self %}

{% block body %}

<div class="container mat7">
    <h1 class="maTmaB tac">Créer une nouvelle annonce</h1>

    {{ form_start(form) }}
    <div class="row">
        <div class="alert alert-light">
            <h2>Informations générales</h2>
            <hr>
            {{ form_row(form.title) }}
            {{ form_row(form.slug) }}
            {{ form_row(form.price) }}
        </div>
        <div class="alert alert-light">
            <h2>Détails de l'annonce</h2>
            <hr>
            {{ form_row(form.introduction) }}
        </div>
        <div class="alert alert-light">
            <h2>Images de l'annonce</h2>
            <hr>
            {{ form_row(form.coverImage) }}
            {{ form_row(form.images) }}
        </div>
    </div>
    <div class="alert alert-secondary clearfix">
        <h2 class="tac alert-heading">Sauvegarder mon annonce</h2>
        <p>Vous êtes sur le point de créer votre annonce, nous sommes fier de vous !</p>
        <button class="btn btn-primary float-right" type="submit">
            <i class="fas fa-check"></i>
            Créer la nouvelle annonce
        </button>
    </div>
    {{ form_end(form) }}
</div>
{% endblock %}

{% block _ad_images_widget %}
    <p>Ici, vous pouvez ajouter vos propres images !</p>

    {{ form_widget(form) }}

    <div class="form-group">
        <button type="button" id="add-image" class="btn btn-primary">Ajouter une image</button>
    </div>

{% endblock %} 


{% block javascripts %}
    <script src="/js/ad.js"></script>
{% endblock %}